查看python的版本

#python  -V    

Python 2.6.6  

 

1.下载 

        wget https://www.python.org/ftp/python/2.7.12/Python-2.7.12.tgz

2.解压

tar zxvf Python-2.7.12.tgz

 

3.更改工作目录

cd Python-2.7.12

 

4.安装




#./configure    
        <div style="background-color: inherit;">
            #make&nbsp;all&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        </div>

        <div style="background-color: inherit;">
            #make&nbsp;install&nbsp;&nbsp;
        </div>

        <div style="background-color: inherit;">
            #make&nbsp;clean&nbsp;&nbsp; &nbsp;&nbsp;
        </div>

        <div style="background-color: inherit;">
            #make&nbsp;distclean&nbsp;
        </div>

        <div style="background-color: inherit;">
            &nbsp;
        </div>
    </div>
</div>


5.查看版本信息

 



     #/usr/local/bin/python2.7 -V  



6.建立软连接,使系统默认的 python指向 python2.7

 



     #mv /usr/bin/python /usr/bin/python2.6.6  
    <div style="background-color: inherit;">
        &nbsp;&nbsp;&nbsp;&nbsp;<span style="background-color: inherit;">#ln&nbsp;-s&nbsp;/usr/local/bin/python2.7&nbsp;/usr/bin/python &nbsp;</span>
    </div>
</div>

<div style="background-color: inherit;">
    &nbsp;
</div>


7.重新检验Python 版本

 



     #python -V  



 

解决系统 Python 软链接指向 Python2.7 版本后,因为yum是不兼容 Python 2.7的,所以yum不能正常工作,我们需要指定 yum 的Python版本

 



 #vi /usr/bin/yum  



将文件头部的

#!/usr/bin/python


改成

#!/usr/bin/python2.6.6



 


 iBus不支持Python2.7

 

9.配置iBus

分别用 vi 打开下面两个文件,找到 exec python 那一行,把exec python 改为 exec python2.6 保存,退出




    #vi /usr/bin/ibus-setup  


<div style="background-color: inherit;">
    <div style="background-color: inherit;">
        <div style="background-color: inherit;">
            &nbsp; &nbsp; <span style="background-color: inherit;">#vi/usr/libexec/ibus-ui-gtk&nbsp;&nbsp;</span>
        </div>
    </div>
</div>